<div #mainDiv class = "main-div">
    <h1 class = "tittle">Lista de cadastro</h1>
    <div class= "content-div">
        <div class="table-div">
            <table mat-table class="table" [dataSource]="dataSource">
    
                <!-- Position Column -->
                <ng-container matColumnDef="index">
                <th mat-header-cell *matHeaderCellDef> </th>
                <td mat-cell *matCellDef="let element" style="color: #012d51; font-family: 'Roboto-Light';"> {{this.dataSource.data.indexOf(element) + 1}} </td>
                </ng-container>
    
                <!-- Position Column -->
                <ng-container matColumnDef="nome">
                  <th mat-header-cell *matHeaderCellDef> nome </th>
                  <td mat-cell *matCellDef="let element"> {{element.nome}} </td>
                </ng-container>
            
                <!-- Name Column -->
                <ng-container matColumnDef="email">
                  <th mat-header-cell *matHeaderCellDef> e-mail </th>
                  <td mat-cell *matCellDef="let element"> {{element.email}} </td>
                </ng-container>
            
                <!-- Weight Column -->
                <ng-container matColumnDef="nascimento">
                  <th mat-header-cell *matHeaderCellDef> nascimento </th>
                  <td mat-cell *matCellDef="let element"> {{element.nascimento | mask: mascaraNascimento}} </td>
                </ng-container>
            
                <!-- Symbol Column -->
                <ng-container matColumnDef="telefone">
                  <th mat-header-cell *matHeaderCellDef> telefone </th>
                  <td mat-cell *matCellDef="let element">
                      <div *ngIf="element.telefone.length === 10">
                        {{element.telefone | mask: mascaraTelefone}} 
                      </div>
                      <div *ngIf="element.telefone.length === 11">
                        {{element.telefone | mask: mascaraCelular}} 
                      </div>
                  </td>
                </ng-container>
            
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
            
              <mat-paginator [pageSizeOptions]="[4]" showFirstLastButtons></mat-paginator>
        </div>
        <div class='top-button'>
            <img src="assets/Icons/topo-pag.svg" (click)="scrollTo(components.Main)">
        </div>
    </div>
</div>
